"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = void 0;
const os = __importStar(require("os"));
const build_1 = __importDefault(require("./build"));
const nconf = require.main.require('nconf');
const winston = require.main.require('winston');
const pubsub = require.main.require('./src/pubsub');
const primary = nconf.get('isPrimary') === 'true' || nconf.get('isPrimary') === true;
const hostname = os.hostname();
const port = nconf.get('port');
const id = `${hostname}:${port}`;
if (primary) {
    pubsub.on('emoji:build', (data) => {
        if (data.id !== id) {
            (0, build_1.default)().catch((err) => {
                if (err) {
                    winston.error(err);
                }
            });
        }
    });
}
async function build() {
    if (pubsub.pubClient) {
        pubsub.publish('emoji:build', {
            id,
        });
    }
    if (primary) {
        await (0, build_1.default)();
    }
}
exports.build = build;
//# sourceMappingURL=pubsub.js.map